#ifndef TRIANGLE_H
#define TRIANGLE_H


#include "object.h"

class Triangle : public Object
{
public :
  // Set default parameters. Radius is 1.0, position is 0,0,0. 
  Triangle();
  virtual ~Triangle() {}
  
  // Accesseurs 
  virtual void draw() const;
  virtual float boundingRadius() const { return 1.0f; }
  virtual bool intersect(const Ray&, Hit& hit) const;

  virtual void initFromDOMElement(const QDomElement& e);
  
private:
	qglviewer::Vec p0, p1, p2;

};



#endif //TRIANGLE_H